Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLInputElement

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLInputElement

public class HTMLInputElement
extends HTMLElement

Represents a text element. This is an element you can add to a page when no tag is necessary.

Version:
  PUBLIC

Field Summary
`protected boolean` | `checked`
`protected java.lang.String` | `className`
`protected java.lang.String` | `label`
`protected int` | `maxLength`
`protected java.lang.String` | `name`
`protected java.lang.String` | `onBlur`
`protected java.lang.String` | `onChange`
`protected java.lang.String` | `onFocus`
`protected java.lang.String` | `onSelect`
`protected java.lang.String` | `size`
`protected int` | `tabIndex`
`protected java.lang.String` | `type`
`protected java.lang.String` | `value`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLInputElement()`

Method Summary
`boolean` | `getChecked()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getLabel()`
`int` | `getMaxLength()`
`java.lang.String` | `getMaxLengthAsString()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOnBlur()`
`java.lang.String` | `getOnChange()`
`java.lang.String` | `getOnFocus()`
`java.lang.String` | `getOnSelect()`
`java.lang.String` | `getSize()`
`int` | `getTabIndex()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `render(java.io.PrintWriter out)`
`void` | `setChecked(boolean checked)`
`void` | `setClassName(java.lang.String className)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMaxLength(int maxLength)`
`void` | `setMaxLength(java.lang.String smaxLength)`
`void` | `setName(java.lang.String name)`
`void` | `setOnBlur(java.lang.String onBlur)`
`void` | `setOnChange(java.lang.String onChange)`
`void` | `setOnFocus(java.lang.String onFocus)`
`void` | `setOnSelect(java.lang.String onSelect)`
`void` | `setSize(int size)`
`void` | `setSize(java.lang.String size)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected java.lang.String type

### maxLength

    protected int maxLength

### size

    protected java.lang.String size

### value

    protected java.lang.String value

### className

    protected java.lang.String className

### label

    protected java.lang.String label

### checked

    protected boolean checked

### tabIndex

    protected int tabIndex

### onFocus

    protected java.lang.String onFocus

### onChange

    protected java.lang.String onChange

### onBlur

    protected java.lang.String onBlur

### onSelect

    protected java.lang.String onSelect

Constructor Detail

### HTMLInputElement

    public HTMLInputElement()

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setType

    public void setType(java.lang.String type)

### getType

    public java.lang.String getType()

### setMaxLength

    public void setMaxLength(java.lang.String smaxLength)

### getMaxLengthAsString

    public java.lang.String getMaxLengthAsString()

### setMaxLength

    public void setMaxLength(int maxLength)

### getMaxLength

    public int getMaxLength()

### setSize

    public void setSize(java.lang.String size)

### getSize

    public java.lang.String getSize()

### setSize

    public void setSize(int size)

### setValue

    public void setValue(java.lang.String value)

### getValue

    public java.lang.String getValue()

### setClassName

    public void setClassName(java.lang.String className)

### getClassName

    public java.lang.String getClassName()

### setLabel

    public void setLabel(java.lang.String label)

### getLabel

    public java.lang.String getLabel()

### setChecked

    public void setChecked(boolean checked)

### getChecked

    public boolean getChecked()

### setTabIndex

    public void setTabIndex(int tabIndex)

### getTabIndex

    public int getTabIndex()

### setOnFocus

    public void setOnFocus(java.lang.String onFocus)

### getOnFocus

    public java.lang.String getOnFocus()

### setOnChange

    public void setOnChange(java.lang.String onChange)

### getOnChange

    public java.lang.String getOnChange()

### setOnSelect

    public void setOnSelect(java.lang.String onSelect)

### getOnSelect

    public java.lang.String getOnSelect()

### setOnBlur

    public void setOnBlur(java.lang.String onBlur)

### getOnBlur

    public java.lang.String getOnBlur()

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD